pg_lo_export
pg_lo_open
PostgreSQL Functions
PHP Manual

# pg_lo_import

Import a large object from file

### Description

int pg_lo_import ([ resource `$connection` ], string `$pathname` [, mixed `$object_id` ] )

pg_lo_import creates a new large object in the database using a file on the filesystem as its data source.

To use the large object interface, it is necessary to enclose it within a transaction block.

> Note: When safe mode is enabled, PHP checks whether the files or directories being operated upon have the same UID (owner) as the script that is being executed.

> Note:

> This function used to be called pg_loimport.

### Parameters

`connection`

  PostgreSQL database connection resource. When `connection` is not present, the default connection is used. The default connection is the last connection made by pg_connect or pg_pconnect.

`pathname`

  The full path and file name of the file on the client filesystem from which to read the large object data.

`object_id`

  If an `object_id` is given the function will try to create a large object with this id, else a free object id is assigned by the server. The parameter was added in PHP 5.3 and relies on functionality that first appeared in PostgreSQL 8.1.

### Return Values

The OID of the newly created large object, or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | The optional `object_id` was added.
4.2.0 | The syntax of this function changed. It used to be: int pg_lo_import ( string `$pathname` [, resource `$connection` ] )

### Examples

Example #1 pg_lo_import example

`<?php
$database = pg_connect("dbname=jacarta");
pg_query($database, "begin");
$oid = pg_lo_import($database, '/tmp/lob.dat');
pg_query($database, "commit");
?>`

### See Also

- pg_lo_export
- pg_lo_open